---
title: Developer guides
slug: Web/Guide
tags:
  - API
  - Guide
  - Landing
  - Web
---
<p><strong>These articles provide how-to information to help make use of specific web technologies and APIs.</strong></p>

<div class="row topicpage-table">
<div class="section">
<dl>
 <dt class="landingPageList"><a href="/en-US/docs/Learn/HTML">HTML learning area</a></dt>
 <dd class="landingPageList"><strong>HyperText Markup Language (HTML)</strong> is the core language of nearly all web content. Most of what you see on screen in your browser is described, fundamentally, using HTML.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Learn/CSS">CSS learning area</a></dt>
 <dd class="landingPageList">Cascading Style Sheets (CSS) is a stylesheet language used to define the presentation of a document written in HTML.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Web/Guide/Audio_and_video_delivery">Audio and video delivery</a></dt>
 <dd class="landingPageList">We can deliver audio and video on the web in several ways, ranging from 'static' media files to adaptive live streams. This article is intended as a starting point for exploring the various delivery mechanisms of web-based media and compatibility with popular browsers.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Web/Guide/Audio_and_video_manipulation">Audio and video manipulation</a></dt>
 <dd class="landingPageList">The beauty of the web is that you can combine technologies to create new forms. Having native audio and video in the browser means we can use these data streams with technologies such as {{htmlelement("canvas")}}, <a href="/en-US/docs/Web/WebGL">WebGL</a> or <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> to modify audio and video directly, for example adding reverb/compression effects to audio, or grayscale/sepia filters to video. This article provides a reference to explain what you need to do.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Web/Guide/Events">Events developer guide</a></dt>
 <dd class="landingPageList">Events refer to two things: a design pattern used for the asynchronous handling of various incidents which occur in the lifetime of a web page; and the naming, characterization, and use of a large number of incidents of different types.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Web/Guide/AJAX">AJAX</a></dt>
 <dd class="landingPageList">AJAX is a term that defines a group of technologies allowing web applications to make quick, incremental updates to the user interface without reloading the entire browser page. This makes the application faster and more responsive to user actions.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Web/Guide/Graphics">Graphics on the web</a></dt>
 <dd class="landingPageList">Modern web sites and applications often need to present graphics of varying sophistication.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Web/Guide/API">Guide to web APIs</a></dt>
 <dd class="landingPageList">A list of all web APIs and what they do.</dd>
 <dt><a href="/en-US/docs/JavaScript">JavaScript</a></dt>
 <dd>JavaScript is the powerful scripting language used to create applications for the Web.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Localizations_and_character_encodings">Localizations and character encodings</a></dt>
 <dd class="landingPageList">Browsers process text as Unicode internally. However, a way of representing characters in terms of bytes (character encoding) is used for transferring text over the network to the browser. The <a class="external external-icon" href="http://www.whatwg.org/specs/web-apps/current-work/multipage/semantics.html#charset">HTML specification recommends the use of the UTF-8 encoding</a> (which can represent all of Unicode), and regardless of the encoding used requires Web content to declare that encoding.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Web/Guide/Mobile">Mobile web development</a></dt>
 <dd class="landingPageList">This article provides an overview of some of the main techniques needed to design web sites that work well on mobile devices. See also <a href="https://developer.mozilla.org/en/Mozilla/Firefox_for_Android">Firefox for Android</a>.</dd>
</dl>
</div>

<div class="section">
<dl>
 <dt class="landingPageList"><a href="https://developer.mozilla.org/en-US/Apps/Progressive#Core_PWA_guides">Progressive web apps</a></dt>
 <dd class="landingPageList">Progressive web apps (PWAs) use modern web APIs along with traditional progressive enhancement strategy to create cross-platform web applications. These apps work everywhere and provide several features that give them the same user experience advantages as native apps. This set of guides tells you all you need to know about PWAs.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Web/Guide/Performance">Optimization and performance</a></dt>
 <dd class="landingPageList">When building modern web apps and sites, it's important to make your content work quickly and efficiently. This lets it perform effectively for both powerful desktop systems and weaker handheld devices.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Web/Guide/Parsing_and_serializing_XML">Parsing and serializing XML</a></dt>
 <dd class="landingPageList">The web platform provides different methods of parsing and serializing XML, each with its pros and cons.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Web/Guide/WOFF">The Web Open Font Format (WOFF)</a></dt>
 <dd class="landingPageList">WOFF (Web Open Font Format) is a font file format that is free for anyone to use on the web.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Web/Guide/Unicode_Bidrectional_Text_Algorithm">Unicode Bidirectional Text Algorithm (BiDi)</a></dt>
 <dd class="landingPageList">The Unicode® BiDi algorithm is part of the Unicode text standard. It describes how the browser should order characters while rendering Unicode text. This guide covers the algorithm in general and how it applies to content you create—especially when you build properly localized and internationalized content.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Web/Guide/Using_FormData_Objects">Using FormData objects</a></dt>
 <dd class="landingPageList">The <a href="https://developer.mozilla.org/en/DOM/XMLHttpRequest/FormData"><code>FormData</code></a> object lets you compile a set of key/value pairs to send using <code>XMLHttpRequest</code>. It's primarily intended for sending form data, but can be used independently from forms to transmit keyed data. The transmission is in the same format that the form's <code>submit()</code> method would use to send the data if the form's encoding type were set to "multipart/form-data".</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Web/Guide/User_input_methods">User input and controls</a></dt>
 <dd class="landingPageList">Modern web user input goes beyond simple mouse and keyboard: think of touchscreens for example. This article provides recommendations for managing user input and implementing controls in open web apps, along with FAQs, real-world examples, and links to further information for anyone needing more detailed information on the underlying technologies.</dd>
 <dt class="landingPageList"><a href="/en-US/docs/Glossary">Glossary</a></dt>
 <dd class="landingPageList">Defines numerous technical terms related to the Web and the Internet.</dd>
</dl>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Reference">Web developer reference</a></li>
</ul>
